Bug 202101

Summary: drag and drop from ksnapshot to kmail no longer works
Product: [Applications] kmail Reporter: Paul van Erk <parena>
Component: generalAssignee: kdepim bugs <kdepim-bugs>
Status: RESOLVED FIXED    
Severity: normal CC: andresbajotierra
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: openSUSE   
OS: Unspecified   
Latest Commit: Version Fixed In:
Sentry Crash Report:

Description Paul van Erk 2009-07-31 16:29:40 UTC
Version:            (using KDE 4.2.98)
Installed from:    SuSE RPMs

I used to be able to simply press my PrtScn which started ksnapshot and made a snapshot straight away. Then I could drag that snapshot straight to a new e-mail I had open. This no longer works, the cursor doesn't change and the drop is ignored.

I think it was also possible using Copy to Clipboard, but this also does not work, pasting in kmail. However, the above issue is the one I'm really after, this used to work in 4.2.*
Comment 1 Dario Andres 2009-07-31 16:53:43 UTC
This is probably related to bug 194495 / bug 159337.
Thanks
Comment 2 Paul van Erk 2009-07-31 17:15:35 UTC
Thanks, didn't find those... I replied in bug 159337, as suggested in 194495.
Comment 3 Thomas McGuire 2009-08-09 23:47:45 UTC
SVN commit 1009394 by tmcguire:

Bring back the ability to drag images from KSnapshot and add them as attachments.

BUG: 202101


 M  +34 -1     kmcomposereditor.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1009394
Comment 4 Paul van Erk 2009-08-09 23:52:24 UTC
Yay! *waits for 4.3.1* That is, will it be in there? :)
Comment 5 Thomas McGuire 2009-08-09 23:59:25 UTC
> Yay! *waits for 4.3.1* That is, will it be in there? :)

Yep, will be in KDE 4.3.1.
Comment 6 Thomas McGuire 2009-08-10 00:03:55 UTC
SVN commit 1009398 by tmcguire:

Backport, by popular request (that is, from 2 people).
Note that the one string is also in kmcomposewin.cpp, so no new strings.

Backport r1009394 by tmcguire from trunk to the 4.3 branch:

Bring back the ability to drag images from KSnapshot and add them as attachments.

CCBUG: 202101



 M  +27 -1     kmcomposereditor.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1009398